> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get details of a particular registry > Details of a particular registry. ## OpenAPI ````json GET /v1/registry/{registry-id} { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/registry/{registry-id}": { "get": { "tags": [ "Registry" ], "summary": "Get details of a particular registry", "description": "Details of a particular registry.", "operationId": "getRegistry", "parameters": [ { "$ref": "#/components/parameters/RegistryId" } ], "responses": { "200": { "description": "Details of a registry.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Registry" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "parameters": { "RegistryId": { "name": "registry-id", "in": "path", "description": "UUID of a registry.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "schemas": { "Registry": { "required": [ "url", "registry_id" ], "type": "object", "properties": { "url": { "type": "string", "description": "URL of the registry." }, "registry_id": { "type": "string", "description": "UUID of the registry.", "format": "uuid" }, "description": { "type": "string", "description": "Description of the registry." }, "username": { "type": "string", "description": "Username of the registry." } } } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````